commit:     92e6c16804ec1d5966d3b2f150cb819f3293248f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 23 15:01:43 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Dec 23 15:01:43 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92e6c168

dev-db/etcd: Version bump to 3.2.12

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-db/etcd/Manifest           |  1 +
 dev-db/etcd/etcd-3.2.12.ebuild | 63 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-db/etcd/Manifest b/dev-db/etcd/Manifest
index 3d29db3c9e6..cf4050bcb94 100644
--- a/dev-db/etcd/Manifest
+++ b/dev-db/etcd/Manifest
@@ -1,4 +1,5 @@
 DIST etcd-2.3.8.tar.gz 2206562 BLAKE2B 
754930b4b5f0e90386b2b4765a9dbb6790ae509a81d3430c3f7c2c828d90318db3b01a2faea0c7075078096ce74302f2be7444245047534749f49d13a927851e
 SHA512 
4268de32797cab23e9e47784d31d5abd6982068c53d3cc9735a06719740dba45b73f4e067cbc7aa8aef5ca7c56d8be067f1076685ac82f64012b760d8b7f2bfc
 DIST etcd-3.2.10.tar.gz 3016954 BLAKE2B 
d957914e2bb14219531f4d44e01150045c92b27afbf2a3f1a6b09a2a97771c1ae9822925e69feacd2f761f6b0a8e3a2cf09adb3f2783d7f80cea5f9fd8d7cd67
 SHA512 
6d00bd47b8c76332e4d1eaa12d8db6052c19bad5e99402860875ba1d6590e0b4aa1afc7cfeb25128125d0195c408c5f4d782b75a0132fc6a8f5cfff673faab75
 DIST etcd-3.2.11.tar.gz 3016255 BLAKE2B 
b57d70ab50e9b8c7bf11920c0bf18789975af7f4f1d66b0afb17ba1d4830250972ba2e276de4d67b80bec317cf9d35eac7f63f8ca7c7c25fce2947807dcc42f8
 SHA512 
e0a71d43d6595c0a08a6068addcf13c98d3d8bd6873c9b5ac39b6183daea34191c1b81a2c81f5c7ec98d587c85f3b1af8cd584d7a0857668f77fb80151858fdb
+DIST etcd-3.2.12.tar.gz 3046578 BLAKE2B 
7b7a071c6856a7f1b5b7ceb68a4efbac74fde6ed1211dabda7d715ea79cd4dc9c10b0f1345d70b8a21e52cb3ac6adfc37c232ea28ff88e5f401212b5a8610d73
 SHA512 
b672a35ba62efccffa09be6b3d2a84b99e8abcae87093539c705d82e13c0f985a9f07a3d885af7386595f12d433756176db107739749c301e7e5d096e85d018b
 DIST etcd-3.2.9.tar.gz 2889569 BLAKE2B 
27f2e7db1518317484f850bbc5f350adc249c90423efc9379f69050ac0300ce687ef5eeb804520ddd577594080c5bffc0e32eba12edfa8b49775aa4861946647
 SHA512 
c194365e388fda8f796af70ff4b575b6ccabac0ca9ae3d84d55718e3914b927d5a6ba10b48eddc897139918880fcfa29d7a329463d20ce72f62115a0a41b6d4d

diff --git a/dev-db/etcd/etcd-3.2.12.ebuild b/dev-db/etcd/etcd-3.2.12.ebuild
new file mode 100644
index 00000000000..c4f9f1d4576
--- /dev/null
+++ b/dev-db/etcd/etcd-3.2.12.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+EGO_PN="github.com/coreos/etcd"
+DESCRIPTION="Highly-available key value store for shared configuration and 
service discovery"
+HOMEPAGE="https://github.com/coreos/etcd";
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc"
+DEPEND=">=dev-lang/go-1.8:="
+RDEPEND="!dev-db/etcdctl"
+
+src_prepare() {
+       default
+       sed -e 's|GIT_SHA=.*|GIT_SHA=v${PV}|'\
+               -i "${S}"/src/${EGO_PN}/build || die
+}
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_compile() {
+       export GOPATH=${S}
+       pushd src/${EGO_PN} || die
+       ./build || die
+       popd || die
+}
+
+src_install() {
+       pushd src/${EGO_PN} || die
+       insinto /etc/${PN}
+       doins "${FILESDIR}/${PN}.conf"
+       dobin bin/*
+       dodoc README.md
+       use doc && dodoc -r Documentation
+       systemd_dounit "${FILESDIR}/${PN}.service"
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d.conf" ${PN}.conf
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+       dodir /var/lib/${PN}
+       fowners ${PN}:${PN} /var/lib/${PN}
+       fperms 0700 /var/lib/${PN}
+       dodir /var/log/${PN}
+       fowners ${PN}:${PN} /var/log/${PN}
+       fperms 755 /var/log/${PN}
+       popd || die
+}
+
+src_test() {
+       pushd src/${EGO_PN} || die
+       ./test || die
+       popd || die
+}

Reply via email to